<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_threshold_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_threshold_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_threshold_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>threshold object descriptor as placed in shared memory </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__threshold__t.html#aaa7ecad6986d9998d1b80b92d934ff9c">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#aaa7ecad6986d9998d1b80b92d934ff9c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__threshold__t.html#afb0b6f49a831acf11c4577068aa91f7b">type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The source width.  <a href="#afb0b6f49a831acf11c4577068aa91f7b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__threshold__t.html#aaf0f3038186760733708576e65f9a398">value</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">threshold value  <a href="#aaf0f3038186760733708576e65f9a398"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__threshold__t.html#acd22578ec147e45919cb255e4f3b8351">upper</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">upper limit  <a href="#acd22578ec147e45919cb255e4f3b8351"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__threshold__t.html#a0b75ca5f70c84cfbdfd6a8c843618be7">lower</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">lower limit  <a href="#a0b75ca5f70c84cfbdfd6a8c843618be7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__threshold__t.html#ad85210aadf1e158fb45ae85e1af88a43">true_value</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">threshold true value  <a href="#ad85210aadf1e158fb45ae85e1af88a43"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__threshold__t.html#ae6b43eb57b2e33f5b4d4e5b5bb16f276">false_value</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">threshold false value  <a href="#ae6b43eb57b2e33f5b4d4e5b5bb16f276"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__threshold__t.html#adacbd104c4e98fc66180552c595d7627">data_type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">data type of the threshold  <a href="#adacbd104c4e98fc66180552c595d7627"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="aaa7ecad6986d9998d1b80b92d934ff9c"></a><!-- doxytag: member="tivx_obj_desc_threshold_t::base" ref="aaa7ecad6986d9998d1b80b92d934ff9c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__threshold__t.html#aaa7ecad6986d9998d1b80b92d934ff9c">tivx_obj_desc_threshold_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="afb0b6f49a831acf11c4577068aa91f7b"></a><!-- doxytag: member="tivx_obj_desc_threshold_t::type" ref="afb0b6f49a831acf11c4577068aa91f7b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__obj__desc__threshold__t.html#afb0b6f49a831acf11c4577068aa91f7b">tivx_obj_desc_threshold_t::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source width. </p>
<p>type of threshold </p>

</div>
</div>
<a class="anchor" id="aaf0f3038186760733708576e65f9a398"></a><!-- doxytag: member="tivx_obj_desc_threshold_t::value" ref="aaf0f3038186760733708576e65f9a398" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t <a class="el" href="structtivx__obj__desc__threshold__t.html#aaf0f3038186760733708576e65f9a398">tivx_obj_desc_threshold_t::value</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>threshold value </p>

</div>
</div>
<a class="anchor" id="acd22578ec147e45919cb255e4f3b8351"></a><!-- doxytag: member="tivx_obj_desc_threshold_t::upper" ref="acd22578ec147e45919cb255e4f3b8351" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t <a class="el" href="structtivx__obj__desc__threshold__t.html#acd22578ec147e45919cb255e4f3b8351">tivx_obj_desc_threshold_t::upper</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>upper limit </p>

</div>
</div>
<a class="anchor" id="a0b75ca5f70c84cfbdfd6a8c843618be7"></a><!-- doxytag: member="tivx_obj_desc_threshold_t::lower" ref="a0b75ca5f70c84cfbdfd6a8c843618be7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t <a class="el" href="structtivx__obj__desc__threshold__t.html#a0b75ca5f70c84cfbdfd6a8c843618be7">tivx_obj_desc_threshold_t::lower</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>lower limit </p>

</div>
</div>
<a class="anchor" id="ad85210aadf1e158fb45ae85e1af88a43"></a><!-- doxytag: member="tivx_obj_desc_threshold_t::true_value" ref="ad85210aadf1e158fb45ae85e1af88a43" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t <a class="el" href="structtivx__obj__desc__threshold__t.html#ad85210aadf1e158fb45ae85e1af88a43">tivx_obj_desc_threshold_t::true_value</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>threshold true value </p>

</div>
</div>
<a class="anchor" id="ae6b43eb57b2e33f5b4d4e5b5bb16f276"></a><!-- doxytag: member="tivx_obj_desc_threshold_t::false_value" ref="ae6b43eb57b2e33f5b4d4e5b5bb16f276" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t <a class="el" href="structtivx__obj__desc__threshold__t.html#ae6b43eb57b2e33f5b4d4e5b5bb16f276">tivx_obj_desc_threshold_t::false_value</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>threshold false value </p>

</div>
</div>
<a class="anchor" id="adacbd104c4e98fc66180552c595d7627"></a><!-- doxytag: member="tivx_obj_desc_threshold_t::data_type" ref="adacbd104c4e98fc66180552c595d7627" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__obj__desc__threshold__t.html#adacbd104c4e98fc66180552c595d7627">tivx_obj_desc_threshold_t::data_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>data type of the threshold </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
